getClusterNodes

POST — JSON-RPC Returns information about all the nodes participating in the cluster. Parameters: None
curl -X POST https://api.nolimitnodes.com/solana_mainnet?apikey=YOUR_API_KEY \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1,"method":"getClusterNodes"}'
result[]
array

getSlot

POST — JSON-RPC Returns the current slot that has reached the given commitment level.
params[0]
object
Configuration object with optional commitment and minContextSlot.
curl -X POST https://api.nolimitnodes.com/solana_mainnet?apikey=YOUR_API_KEY \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1,"method":"getSlot"}'

getSlotLeader

POST — JSON-RPC Returns the current slot leader’s identity Pubkey.
params[0]
object
Configuration object with optional commitment and minContextSlot.
curl -X POST https://api.nolimitnodes.com/solana_mainnet?apikey=YOUR_API_KEY \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1,"method":"getSlotLeader"}'

getSlotLeaders

POST — JSON-RPC Returns the slot leaders for a given slot range.
params[0]
integer
required
Start slot (u64).
params[1]
integer
required
Limit (u64, range 1–5000).
curl -X POST https://api.nolimitnodes.com/solana_mainnet?apikey=YOUR_API_KEY \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1,"method":"getSlotLeaders","params":[100,10]}'

getVersion

POST — JSON-RPC Returns the current Solana version running on the node. Parameters: None
curl -X POST https://api.nolimitnodes.com/solana_mainnet?apikey=YOUR_API_KEY \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1,"method":"getVersion"}'

getIdentity

POST — JSON-RPC Returns the identity public key for the current node. Parameters: None
curl -X POST https://api.nolimitnodes.com/solana_mainnet?apikey=YOUR_API_KEY \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1,"method":"getIdentity"}'

getEpochInfo

POST — JSON-RPC Returns information about the current epoch.
params[0]
object
Configuration object with optional commitment and minContextSlot.
curl -X POST https://api.nolimitnodes.com/solana_mainnet?apikey=YOUR_API_KEY \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1,"method":"getEpochInfo"}'
result
object

getEpochSchedule

POST — JSON-RPC Returns the epoch schedule information from the cluster’s genesis config. Parameters: None
curl -X POST https://api.nolimitnodes.com/solana_mainnet?apikey=YOUR_API_KEY \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1,"method":"getEpochSchedule"}'
result
object

getLeaderSchedule

POST — JSON-RPC Returns the leader schedule for an epoch.
params[0]
integer
Slot to determine which epoch to query (optional, defaults to current).
params[1]
object
Configuration object:
  • commitment (string) — commitment level
  • identity (string) — filter results to a single validator
curl -X POST https://api.nolimitnodes.com/solana_mainnet?apikey=YOUR_API_KEY \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1,"method":"getLeaderSchedule","params":[null,{"identity":"4Qkev8aNZcqFNSRhQzwyLMFSsi94jHqE8WNVTJzTP99F"}]}'

getVoteAccounts

POST — JSON-RPC Returns the account info and associated stake for all the voting accounts.
params[0]
object
Configuration object:
  • commitment (string)
  • votePubkey (string) — filter to a single vote account
  • keepUnstakedDelinquents (boolean) — include delinquent validators with no stake
  • delinquentSlotDistance (integer) — slots behind to consider delinquent
curl -X POST https://api.nolimitnodes.com/solana_mainnet?apikey=YOUR_API_KEY \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1,"method":"getVoteAccounts"}'

getRecentPerformanceSamples

POST — JSON-RPC Returns a list of recent performance samples, in reverse slot order.
params[0]
integer
Number of samples to return (max 720, default 720).
curl -X POST https://api.nolimitnodes.com/solana_mainnet?apikey=YOUR_API_KEY \
  -H "Content-Type: application/json" \
  -d '{"jsonrpc":"2.0","id":1,"method":"getRecentPerformanceSamples","params":[4]}'
result[]
array